import * as cdk from '@aws-cdk/core';
import { Stage } from '../data-lake';
import { Pipeline } from '../pipeline';
import { DataSet } from './data-set';
/**
 * @experimental
 */
export interface RegisteredDataSetProperties {
    /**
     * @experimental
     */
    readonly destinationPrefix: string;
    /**
     * @experimental
     */
    readonly stage: Stage;
    /**
     * @experimental
     */
    readonly pipeline: Pipeline;
    /**
     * @experimental
     */
    readonly dataSet: DataSet;
    /**
     * @experimental
     */
    readonly dataLakeAdminRoleArn: string;
    /**
     * @experimental
     */
    readonly dataLakeDbCreatorRoleArn: string;
    /**
     * @experimental
     */
    readonly databaseName: string;
}
/**
 * @experimental
 */
export declare class LFRegisteredDataSet extends cdk.Construct {
    /**
     * @experimental
     */
    constructor(scope: cdk.Construct, id: string, props: RegisteredDataSetProperties);
    private registerDataLakeLocation;
}
