import * as s3 from '@aws-cdk/aws-s3';
import * as cdk from '@aws-cdk/core';
/**
 * @experimental
 */
export interface DataLakeBucketProps {
    /**
     * @experimental
     */
    readonly bucketName: string;
    /**
     * @experimental
     */
    readonly dataCatalogAccountId: string;
    /**
     * @experimental
     */
    readonly logBucket: s3.Bucket;
    /**
     * @experimental
     */
    readonly crossAccount: boolean;
}
/**
 * @experimental
 */
export declare class DataLakeBucket extends cdk.Construct {
    /**
     * @experimental
     */
    readonly bucket: s3.Bucket;
    /**
     * @experimental
     */
    constructor(scope: cdk.Construct, id: string, props: DataLakeBucketProps);
}
